﻿/**Begin D:\DBA2024\差量生成\PDM_UPGRADE\PDM1\MSBD_table.sql **/
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_MSBD_PRICELISTTYPE' AND KSQL_COL_NAME ='FPRICECATEGORY') 
 ALTER TABLE T_MSBD_PRICELISTTYPE ADD (FPRICECATEGORY VARCHAR(5) DEFAULT ' ' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_MSBD_PRICELISTTYPE' AND KSQL_COL_NAME ='FCALCTYPEID') 
 ALTER TABLE T_MSBD_PRICELISTTYPE ADD (FCALCTYPEID BIGINT DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_MSBD_PRICELISTTYPE' AND KSQL_COL_NAME ='FISTAX') 
 ALTER TABLE T_MSBD_PRICELISTTYPE ADD (FISTAX CHAR(1) DEFAULT '0' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_MSBD_PRICELISTTYPE' AND KSQL_COL_NAME ='FTAXRATEID') 
 ALTER TABLE T_MSBD_PRICELISTTYPE ADD (FTAXRATEID BIGINT DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_MSBD_CALCTYPE') 
 CREATE TABLE T_MSBD_CALCTYPE (
FID BIGINT DEFAULT 0 NOT NULL,
FNUMBER NVARCHAR(80) DEFAULT ' ' NOT NULL,
FNAME NVARCHAR(100) DEFAULT ' ' NOT NULL,
FCALCBASE VARCHAR(80) DEFAULT ' ' NOT NULL,
FCALCBASENAME NVARCHAR(100) DEFAULT ' ',
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FCREATETIME DATETIME,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FMODIFYTIME DATETIME,
FISPRESET CHAR(1) DEFAULT '0' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_MSBD_CALCTYPE_L') 
 CREATE TABLE T_MSBD_CALCTYPE_L (
FPKID VARCHAR(36) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
FNAME NVARCHAR(100) DEFAULT ' ' NOT NULL,
FCALCBASENAME NVARCHAR(100) DEFAULT ' '
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_MSBD_EXPENSEBILL') 
 CREATE TABLE T_MSBD_EXPENSEBILL (
FID BIGINT DEFAULT 0 NOT NULL,
FBILLNO NVARCHAR(80) DEFAULT ' ' NOT NULL,
FBIZTIME DATETIME,
FBILLSTATUS VARCHAR(5) DEFAULT ' ' NOT NULL,
FBIZBILLENTITY VARCHAR(50) DEFAULT ' ' NOT NULL,
FBIZBILLNO NVARCHAR(80) DEFAULT ' ' NOT NULL,
FBIZBILLID BIGINT DEFAULT 0 NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FCREATETIME DATETIME,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FMODIFYTIME DATETIME,
FAUDITORID BIGINT DEFAULT 0 NOT NULL,
FAUDITDATE DATETIME
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_MSBD_EXPENSEBILLENTRY') 
 CREATE TABLE T_MSBD_EXPENSEBILLENTRY (
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FSEQ BIGINT DEFAULT 0 NOT NULL,
FPRICETYPEID BIGINT DEFAULT 0 NOT NULL,
FPRICEVAL DECIMAL(23,10) DEFAULT 0 NOT NULL,
FCALTYPEID BIGINT DEFAULT 0 NOT NULL,
FCALTYPEVAL DECIMAL(23,10) DEFAULT 0 NOT NULL,
FAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FCURRENCYID BIGINT DEFAULT 0 NOT NULL,
FISTAX CHAR(1) DEFAULT '0' NOT NULL,
FEXPSSUPID BIGINT DEFAULT 0 NOT NULL,
FISADVANCED CHAR(1) DEFAULT '0' NOT NULL,
FTAXRATEID BIGINT DEFAULT 0 NOT NULL,
FENTRYCOMMENT NVARCHAR(512),
FROWEXPENSEJSON NVARCHAR(512),
FROWEXPENSEJSON_TAG NCLOB,
FSOURCE VARCHAR(5) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_MSBD_PR_EXPSITEM') 
 CREATE TABLE T_MSBD_PR_EXPSITEM (
FID BIGINT DEFAULT 0 NOT NULL,
FPRICETYPEID BIGINT DEFAULT 0 NOT NULL,
FORGID BIGINT DEFAULT 0 NOT NULL,
FEXPENSEITEMID BIGINT DEFAULT 0 NOT NULL
);



/**End D:\DBA2024\差量生成\PDM_UPGRADE\PDM1\MSBD_table.sql **/
