﻿/**Begin E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\MSBD_table.sql **/
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_MSBD_APIPROXYCFG') 
 CREATE TABLE T_MSBD_APIPROXYCFG (
FID BIGINT DEFAULT 0 NOT NULL,
FNUMBER NVARCHAR(50) DEFAULT ' ' NOT NULL,
FNAME NVARCHAR(255) DEFAULT ' ' NOT NULL,
FSTATUS CHAR(1) DEFAULT ' ' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FENABLE CHAR(1) DEFAULT '1' NOT NULL,
FMASTERID BIGINT DEFAULT 0 NOT NULL,
FBIZSCENES NVARCHAR(50) DEFAULT ' ' NOT NULL,
FBILLSTATUS CHAR(1) DEFAULT ' ' NOT NULL,
FASYNC CHAR(1) DEFAULT '1' NOT NULL,
FJOBLIMIT INT DEFAULT 0 NOT NULL,
FSCENESPLUGIN NVARCHAR(255) DEFAULT ' ' NOT NULL,
FCALLBACK NVARCHAR(500) DEFAULT ' ' NOT NULL,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FCREATETIME DATETIME,
FMODIFYTIME DATETIME
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_MSBD_APIPROXYCFG_L') 
 CREATE TABLE T_MSBD_APIPROXYCFG_L (
FPKID VARCHAR(36) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
FNAME NVARCHAR(255) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_MSBD_APISUBTASK') 
 CREATE TABLE T_MSBD_APISUBTASK (
FID BIGINT DEFAULT 0 NOT NULL,
FPTASK BIGINT DEFAULT 0 NOT NULL,
FTRACEID NVARCHAR(255) DEFAULT ' ' NOT NULL,
FPARAM NVARCHAR(500) DEFAULT ' ' NOT NULL,
FCREATEDATE DATETIME,
FSTARTDATE DATETIME,
FENDDATE DATETIME,
FUSER BIGINT DEFAULT 0 NOT NULL,
FIP NVARCHAR(100) DEFAULT ' ' NOT NULL,
FCOUNT INT DEFAULT 0 NOT NULL,
FSTATUS NVARCHAR(30) DEFAULT ' ' NOT NULL,
FBATCHID NVARCHAR(500) DEFAULT ' ' NOT NULL,
FRESULT NVARCHAR(500) DEFAULT ' ' NOT NULL,
FPARAM_TAG NCLOB,
FRESULT_TAG NCLOB
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_MSBD_APIMAINTASK') 
 CREATE TABLE T_MSBD_APIMAINTASK (
FID BIGINT DEFAULT 0 NOT NULL,
FAPIPROXY BIGINT DEFAULT 0 NOT NULL,
FREQPARAM NVARCHAR(500) DEFAULT ' ' NOT NULL,
FRESPONSEPARAM NVARCHAR(500) DEFAULT ' ' NOT NULL,
FSTATUS NVARCHAR(30) DEFAULT ' ' NOT NULL,
FUSER BIGINT DEFAULT 0 NOT NULL,
FSTARTDATE DATETIME,
FENDDATE DATETIME,
FUNIQUEKEY NVARCHAR(500) DEFAULT ' ' NOT NULL,
FTRACEID NVARCHAR(255) DEFAULT ' ' NOT NULL,
FREQPARAM_TAG NCLOB,
FRESPONSEPARAM_TAG NCLOB
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_MSBD_APISUBTASK' AND KSQL_COL_NAME ='FAPIPROXY') 
 ALTER TABLE T_MSBD_APISUBTASK ADD (FAPIPROXY BIGINT DEFAULT 0 NOT NULL );

/**End E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\MSBD_table.sql **/
