﻿/**Begin E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\MSBD_constraint.sql **/


 EXEC P_ALTERPK 'PK_T_MSBD_TASK_CLASS', 'T_MSBD_TASK_CLASS', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_TABNAME = 'T_MSBD_TASK_CLASS' AND KSQL_INDNAME = 'IDX_MSBD_TASK_CLASS_FNUMBER') CREATE INDEX IDX_MSBD_TASK_CLASS_FNUMBER ON T_MSBD_TASK_CLASS ( FNUMBER );

 EXEC P_ALTERPK 'PK_T_MSBD_TASK_CLASS_L', 'T_MSBD_TASK_CLASS_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_TABNAME = 'T_MSBD_TASK_CLASS_L' AND KSQL_INDNAME = 'IDX_MSBD_TASK_CLASS_L_FID') CREATE INDEX IDX_MSBD_TASK_CLASS_L_FID ON T_MSBD_TASK_CLASS_L ( FID ,FLOCALEID );

  EXEC P_ALTERPK 'PK_T_MSBD_TASK_GROUP', 'T_MSBD_TASK_GROUP', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_TABNAME = 'T_MSBD_TASK_GROUP' AND KSQL_INDNAME = 'IDX_MSBD_TASK_GROUP_FNUMBER') CREATE INDEX IDX_MSBD_TASK_GROUP_FNUMBER ON T_MSBD_TASK_GROUP ( FNUMBER );

 EXEC P_ALTERPK 'PK_T_MSBD_TASK_GROUP_L', 'T_MSBD_TASK_GROUP_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_TABNAME = 'T_MSBD_TASK_GROUP_L' AND KSQL_INDNAME = 'IDX_MSBD_TASK_GROUP_L_FID') CREATE INDEX IDX_MSBD_TASK_GROUP_L_FID ON T_MSBD_TASK_GROUP_L ( FID ,FLOCALEID );

 
 EXEC P_ALTERPK 'PK_T_MSBD_TASKSERVICECONF', 'T_MSBD_TASKSERVICECONF', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_TABNAME = 'T_MSBD_TASKSERVICECONF' AND KSQL_INDNAME = 'IDX_MSBD_TASKSERVICECONF_FNUMBER') CREATE INDEX IDX_MSBD_TASKSERVICECONF_FNUMBER ON T_MSBD_TASKSERVICECONF ( FNUMBER );

 EXEC P_ALTERPK 'PK_T_MSBD_TASKSERVICECONF_L', 'T_MSBD_TASKSERVICECONF_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_TABNAME = 'T_MSBD_TASKSERVICECONF_L' AND KSQL_INDNAME = 'IDX_MSBD_TASKSERVICECONF_L_FID') CREATE INDEX IDX_MSBD_TASKSERVICECONF_L_FID ON T_MSBD_TASKSERVICECONF_L ( FID ,FLOCALEID );

 
 EXEC P_ALTERPK 'PK_T_MSBD_TASKSERVICEGROUP', 'T_MSBD_TASKSERVICEGROUP', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_TABNAME = 'T_MSBD_TASKSERVICEGROUP' AND KSQL_INDNAME = 'IDX_MSBD_TASKSERVICEGROUP_FNUMBER') CREATE INDEX IDX_MSBD_TASKSERVICEGROUP_FNUMBER ON T_MSBD_TASKSERVICEGROUP ( FNUMBER );

 EXEC P_ALTERPK 'PK_T_MSBD_TASKSERVICEGROUP_L', 'T_MSBD_TASKSERVICEGROUP_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_TABNAME = 'T_MSBD_TASKSERVICEGROUP_L' AND KSQL_INDNAME = 'IDX_MSBD_TASKSERVICEGROUP_L_FID') CREATE INDEX IDX_MSBD_TASKSERVICEGROUP_L_FID ON T_MSBD_TASKSERVICEGROUP_L ( FID ,FLOCALEID );

 
 EXEC P_ALTERPK 'PK_T_MSBD_WB_TASK_MANAGE', 'T_MSBD_WB_TASK_MANAGE', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_TABNAME = 'T_MSBD_WB_TASK_MANAGE' AND KSQL_INDNAME = 'IDX_MSBD_WB_TASK_MANAGE_TASKTYPE') CREATE INDEX IDX_MSBD_WB_TASK_MANAGE_TASKTYPE ON T_MSBD_WB_TASK_MANAGE ( FTASKTYPE, fbizuser);

 
 EXEC P_ALTERPK 'PK_T_MSBD_WB_ACTION', 'T_MSBD_WB_ACTION', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_TABNAME = 'T_MSBD_WB_ACTION' AND KSQL_INDNAME = 'IDX_MSBD_WB_ACTION_FNUMBER') CREATE INDEX IDX_MSBD_WB_ACTION_FNUMBER ON T_MSBD_WB_ACTION ( FNUMBER );

 EXEC P_ALTERPK 'PK_T_MSBD_WB_ACTION_L', 'T_MSBD_WB_ACTION_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_TABNAME = 'T_MSBD_WB_ACTION_L' AND KSQL_INDNAME = 'IDX_MSBD_WB_ACTION_L_FID') CREATE INDEX IDX_MSBD_WB_ACTION_L_FID ON T_MSBD_WB_ACTION_L ( FID ,FLOCALEID );

 
 EXEC P_ALTERPK 'PK_T_MSBD_WB_ACTIONENTRY', 'T_MSBD_WB_ACTIONENTRY', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_TABNAME = 'T_MSBD_WB_ACTIONENTRY' AND KSQL_INDNAME = 'IDX_MSBD_WB_ACTIONENTRY_FID') CREATE INDEX IDX_MSBD_WB_ACTIONENTRY_FID ON T_MSBD_WB_ACTIONENTRY ( FID );

 
 EXEC P_ALTERPK 'PK_T_MSBD_WB_OPSERVICE', 'T_MSBD_WB_OPSERVICE', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_TABNAME = 'T_MSBD_WB_OPSERVICE' AND KSQL_INDNAME = 'IDX_MSBD_WB_OPSERVICE_FNUMBER') CREATE INDEX IDX_MSBD_WB_OPSERVICE_FNUMBER ON T_MSBD_WB_OPSERVICE ( FNUMBER );

 EXEC P_ALTERPK 'PK_T_MSBD_WB_OPSERVICE_L', 'T_MSBD_WB_OPSERVICE_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_TABNAME = 'T_MSBD_WB_OPSERVICE_L' AND KSQL_INDNAME = 'IDX_MSBD_WB_OPSERVICE_L_FID') CREATE INDEX IDX_MSBD_WB_OPSERVICE_L_FID ON T_MSBD_WB_OPSERVICE_L ( FID ,FLOCALEID );
 
 
 
 EXEC P_ALTERPK 'PK_T_MSBD_WB_MSERVICE', 'T_MSBD_WB_MSERVICE', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_TABNAME = 'T_MSBD_WB_MSERVICE' AND KSQL_INDNAME = 'IDX_MSBD_WB_MSERVICE_FNUMBER') CREATE INDEX IDX_MSBD_WB_MSERVICE_FNUMBER ON T_MSBD_WB_MSERVICE ( FNUMBER );

 EXEC P_ALTERPK 'PK_T_MSBD_WB_MSERVICE_L', 'T_MSBD_WB_MSERVICE_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_TABNAME = 'T_MSBD_WB_MSERVICE_L' AND KSQL_INDNAME = 'IDX_MSBD_WB_MSERVICE_L_FID') CREATE INDEX IDX_MSBD_WB_MSERVICE_L_FID ON T_MSBD_WB_MSERVICE_L ( FID ,FLOCALEID );


/**End E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\MSBD_constraint.sql **/
