﻿/**Begin E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\MSBD_constraint.sql **/
 EXEC P_ALTERPK 'PK_T_MSBD_APIPROXYCFG', 'T_MSBD_APIPROXYCFG', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_TABNAME = 'T_MSBD_APIPROXYCFG' AND KSQL_INDNAME = 'IDX_MSBD_APIPROCFG_FNUM') CREATE INDEX IDX_MSBD_APIPROCFG_FNUM ON T_MSBD_APIPROXYCFG ( FNUMBER );


 EXEC P_ALTERPK 'PK_T_MSBD_APIPROXYCFG_L', 'T_MSBD_APIPROXYCFG_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_TABNAME = 'T_MSBD_APIPROXYCFG_L' AND KSQL_INDNAME = 'IDX_MSBD_APICFG_L_FID') CREATE INDEX IDX_MSBD_APICFG_L_FID ON T_MSBD_APIPROXYCFG_L ( FID ,FLOCALEID );


 EXEC P_ALTERPK 'PK_T_MSBD_APISUBTASK', 'T_MSBD_APISUBTASK', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_TABNAME = 'T_MSBD_APISUBTASK' AND KSQL_INDNAME = 'IDX_MSBD_APISUBTASK_PTASK') CREATE INDEX IDX_MSBD_APISUBTASK_PTASK ON T_MSBD_APISUBTASK ( FPTASK );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_TABNAME = 'T_MSBD_APISUBTASK' AND KSQL_INDNAME = 'IDX_MSBD_APISUBTASK_TRACE') CREATE INDEX IDX_MSBD_APISUBTASK_TRACE ON T_MSBD_APISUBTASK ( FTRACEID );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_TABNAME = 'T_MSBD_APISUBTASK' AND KSQL_INDNAME = 'IDX_MSBD_APISUBTASK_BATCH') CREATE INDEX IDX_MSBD_APISUBTASK_BATCH ON T_MSBD_APISUBTASK ( FBATCHID );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_TABNAME = 'T_MSBD_APISUBTASK' AND KSQL_INDNAME = 'IDX_MSBD_APISUBTASK_APIPROXY') CREATE INDEX IDX_MSBD_APISUBTASK_APIPROXY ON T_MSBD_APISUBTASK ( FAPIPROXY );


 EXEC P_ALTERPK 'PK_T_MSBD_APIMAINTASK', 'T_MSBD_APIMAINTASK', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_TABNAME = 'T_MSBD_APIMAINTASK' AND KSQL_INDNAME = 'IDX_MSBD_APIMTASK_UNIK') CREATE INDEX IDX_MSBD_APIMTASK_UNIK ON T_MSBD_APIMAINTASK ( FUNIQUEKEY );



/**End E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\MSBD_constraint.sql **/
