﻿/**Begin E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\MSBD_constraint.sql **/


 EXEC P_ALTERPK 'PK_T_MSBD_GROUP_USER', 'T_MSBD_GROUP_USER', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_TABNAME = 'T_MSBD_GROUP_USER' AND KSQL_INDNAME = 'IDX_MSBD_GROUP_USER_FUSERID') CREATE INDEX IDX_MSBD_GROUP_USER_FUSERID ON T_MSBD_GROUP_USER ( FUSERID );


 EXEC P_ALTERPK 'PK_T_MSBD_SCHEME_GROUP', 'T_MSBD_SCHEME_GROUP', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_TABNAME = 'T_MSBD_SCHEME_GROUP' AND KSQL_INDNAME = 'IDX_MSBD_SCHEME_GROUP_FGROUPID') CREATE INDEX IDX_MSBD_SCHEME_GROUP_FGROUPID ON T_MSBD_SCHEME_GROUP ( FGROUPID );


 EXEC P_ALTERPK 'PK_T_MSBD_SCHEME_ORG', 'T_MSBD_SCHEME_ORG', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_TABNAME = 'T_MSBD_SCHEME_ORG' AND KSQL_INDNAME = 'IDX_MSBD_SCHEME_ORG_FORG') CREATE INDEX IDX_MSBD_SCHEME_ORG_FORG ON T_MSBD_SCHEME_ORG ( FORGID );


 EXEC P_ALTERPK 'PK_T_MSBD_SCHEME_ROLE', 'T_MSBD_SCHEME_ROLE', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_TABNAME = 'T_MSBD_SCHEME_ROLE' AND KSQL_INDNAME = 'IDX_MSBD_SCHEME_ROLE_FROLEID') CREATE INDEX IDX_MSBD_SCHEME_ROLE_FROLEID ON T_MSBD_SCHEME_ROLE ( FROLEID );


 EXEC P_ALTERPK 'PK_T_MSBD_SCHEME_USERS', 'T_MSBD_SCHEME_USERS', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_TABNAME = 'T_MSBD_SCHEME_USERS' AND KSQL_INDNAME = 'IDX_MSBD_SCHEME_USERS_FUSERID') CREATE INDEX IDX_MSBD_SCHEME_USERS_FUSERID ON T_MSBD_SCHEME_USERS ( FUSERID );


 EXEC P_ALTERPK 'PK_T_MSBD_WORKBENCHSCHEME_L', 'T_MSBD_WORKBENCHSCHEME_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_TABNAME = 'T_MSBD_WORKBENCHSCHEME_L' AND KSQL_INDNAME = 'IDX_MSBD_WORKBENCHSCHEME_L_FID') CREATE INDEX IDX_MSBD_WORKBENCHSCHEME_L_FID ON T_MSBD_WORKBENCHSCHEME_L ( FID ,FLOCALEID );


 EXEC P_ALTERPK 'PK_T_MSBD_DEFAULTSCHEME_USER', 'T_MSBD_DEFAULTSCHEME_USER', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_TABNAME = 'T_MSBD_DEFAULTSCHEME_USER' AND KSQL_INDNAME = 'IDX_MSBD_DEFSCHEME_U_FUSERID') CREATE INDEX IDX_MSBD_DEFSCHEME_U_FUSERID ON T_MSBD_DEFAULTSCHEME_USER ( FUSERID );


 EXEC P_ALTERPK 'PK_T_MSBD_SCHEME_USERTYPE', 'T_MSBD_SCHEME_USERTYPE', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_TABNAME = 'T_MSBD_SCHEME_USERTYPE' AND KSQL_INDNAME = 'IDX_MSBD_SCHEME_UT_FUSERTYPEID') CREATE INDEX IDX_MSBD_SCHEME_UT_FUSERTYPEID ON T_MSBD_SCHEME_USERTYPE ( FUSERTYPEID );


 EXEC P_ALTERPK 'PK_T_MSBD_WORKBENCHCARDCONF', 'T_MSBD_WORKBENCHCARDCONF', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_TABNAME = 'T_MSBD_WORKBENCHCARDCONF' AND KSQL_INDNAME = 'IDX_MSBD_WBHCRDCNF_FSCHEMEID') CREATE INDEX IDX_MSBD_WBHCRDCNF_FSCHEMEID ON T_MSBD_WORKBENCHCARDCONF ( FSCHEMEID );


 EXEC P_ALTERPK 'PK_T_MSBD_WORKBENCHCARDCONF_L', 'T_MSBD_WORKBENCHCARDCONF_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_TABNAME = 'T_MSBD_WORKBENCHCARDCONF_L' AND KSQL_INDNAME = 'IDX_MSBD_WBHCRDCNF_L_FID') CREATE INDEX IDX_MSBD_WBHCRDCNF_L_FID ON T_MSBD_WORKBENCHCARDCONF_L ( FID ,FLOCALEID );


 EXEC P_ALTERPK 'PK_T_MSBD_WORKBENCHSCHEME', 'T_MSBD_WORKBENCHSCHEME', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_TABNAME = 'T_MSBD_WORKBENCHSCHEME' AND KSQL_INDNAME = 'IDX_MSBD_WBHSCHEME_FFORMNUM') CREATE INDEX IDX_MSBD_WBHSCHEME_FFORMNUM ON T_MSBD_WORKBENCHSCHEME ( FFORMNUM );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_TABNAME = 'T_MSBD_WORKBENCHSCHEME' AND KSQL_INDNAME = 'IDX_MSBD_WBHSCHEME_FNUMBER') CREATE INDEX IDX_MSBD_WBHSCHEME_FNUMBER ON T_MSBD_WORKBENCHSCHEME ( FNUMBER );


 EXEC P_ALTERPK 'PK_T_MSBD_WORKBENCHUSERGROUP', 'T_MSBD_WORKBENCHUSERGROUP', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_TABNAME = 'T_MSBD_WORKBENCHUSERGROUP' AND KSQL_INDNAME = 'IDX_MSBD_WBHUSERGROUP_FNUMBER') CREATE INDEX IDX_MSBD_WBHUSERGROUP_FNUMBER ON T_MSBD_WORKBENCHUSERGROUP ( FNUMBER );


 EXEC P_ALTERPK 'PK_T_MSBD_WORKBENCHUSERGROUP_L', 'T_MSBD_WORKBENCHUSERGROUP_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_TABNAME = 'T_MSBD_WORKBENCHUSERGROUP_L' AND KSQL_INDNAME = 'IDX_MSBD_WBHUSERGROUP_L_FID') CREATE INDEX IDX_MSBD_WBHUSERGROUP_L_FID ON T_MSBD_WORKBENCHUSERGROUP_L ( FID ,FLOCALEID );



/**End E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\MSBD_constraint.sql **/
